org.apache.lucene.codecs.simpletext

## Class SimpleTextTermVectorsReader

- java.lang.Object
- - org.apache.lucene.codecs.TermVectorsReader
  - - org.apache.lucene.codecs.simpletext.SimpleTextTermVectorsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable

      public class SimpleTextTermVectorsReader
      extends TermVectorsReader

  Reads plain-text term vectors.

  FOR RECREATIONAL USE ONLY

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextTermVectorsReader(Directory directory, SegmentInfo si, IOContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TermVectorsReader` | `clone()`
    `void` | `close()`
    `Fields` | `get(int doc)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextTermVectorsReader

          public SimpleTextTermVectorsReader(Directory directory,
                                     SegmentInfo si,
                                     IOContext context)
                                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### get

          public Fields get(int doc)
                     throws IOException

      Specified by:
        `get` in class `TermVectorsReader`
      Throws:
        `IOException`

    - #### clone

          public TermVectorsReader clone()

      Overrides:
        `clone` in class `TermVectorsReader`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.